diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 5543fc0..c12a4b0 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -43943,7 +43943,7 @@ InnerTrigonometricManipulations(R,F,FG): Exports == Implementation where
     GR2F g        == real(g)::F + sqrt(-(1::F)) * imag(g)::F
     KG2F k        == map(FG2F, k)$ExpressionSpaceFunctions2(FG, F)
     FG2F f        == (PG2F numer f) / (PG2F denom f)
-    F2FG f        == map(#1::GR, f)$FunctionSpaceFunctions2(R,F,GR,FG)
+    F2FG f        == map(x +-> x::GR, f)$FunctionSpaceFunctions2(R,F,GR,FG)
     GF2FG f       == (F2FG real f) + complex(0, 1)$GR ::FG * F2FG imag f
     GR2GF gr      == complex(real(gr)::F, imag(gr)::F)
 
@@ -44006,8 +44006,8 @@ InnerTrigonometricManipulations(R,F,FG): Exports == Implementation where
       map(smp2trigs, p)$SparseUnivariatePolynomialFunctions2(PG, GF) f
 
     smp2trigs p ==
-      map(explogs2trigs(#1::FG),GR2GF, p)$PolynomialCategoryLifting(
-                                    IndexedExponents KG, KG, GR, PG, GF)
+      map(x +-> explogs2trigs(x::FG),GR2GF, p)_
+         $PolynomialCategoryLifting(IndexedExponents KG, KG, GR, PG, GF)
 
     explogs2trigs f ==
       (m := mainKernel f) case "failed" =>
@@ -44039,8 +44039,8 @@ InnerTrigonometricManipulations(R,F,FG): Exports == Implementation where
                                                           KG, GR, PG, F)
 
     smp2explogs(p, l, lx) ==
-      map(ker2explogs(#1, l, lx), #1::FG, p)$PolynomialCategoryLifting(
-                                    IndexedExponents KG, KG, GR, PG, FG)
+      map(x +-> ker2explogs(x, l, lx), y +-> y::FG, p)_
+       $PolynomialCategoryLifting(IndexedExponents KG, KG, GR, PG, FG)
 
 @
 <<ITRIGMNP.dotabb>>=
diff --git a/changelog b/changelog
index cea8b6b..829815e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090605 tpd src/axiom-website/patches.html 20090605.02.tpd.patch
+20090605 tpd books/bookvol10.4 ITRIGMNP +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.01.tpd.patch
 20090605 tpd books/bookvol10.4 ISUMP +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9656ff5..6f8783f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1453,5 +1453,7 @@ bookvol10.4 INNMFACT +-> conversion<br/>
 bookvol10.4 INEP +-> conversion<br/>
 <a href="patches/20090605.01.tpd.patch">20090605.01.tpd.patch</a>
 bookvol10.4 ISUMP +-> conversion<br/>
+<a href="patches/20090605.02.tpd.patch">20090605.02.tpd.patch</a>
+bookvol10.4 ITRIGMNP +-> conversion<br/>
  </body>
 </html>
